/*
 * Copyright 1993, 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */


/**************************************************************************
 *    Event Devices
 **************************************************************************/

#define AUX_EVENT_MASK            0x0100

#define AUX_EXPOSE                ( AUX_EVENT_MASK + 1 )
#define AUX_CONFIG                ( AUX_EVENT_MASK + 2 )
#define AUX_DRAW                  ( AUX_EVENT_MASK + 3 )
#define AUX_KEYEVENT              ( AUX_EVENT_MASK + 4 )
#define AUX_MOUSEDOWN             ( AUX_EVENT_MASK + 5 )
#define AUX_MOUSEUP               ( AUX_EVENT_MASK + 6 )
#define AUX_MOUSELOC              ( AUX_EVENT_MASK + 7 )
#define AUX_INPUTCHANGE           ( AUX_EVENT_MASK + 8 )

#define AUX_REDRAW                AUX_EXPOSE

#define AUX_NOEVENT               MINUS_ONE

/**************************************************************************
 *    Mouse button devices
 **************************************************************************/

#define AUX_BUTTON_MASK           0x0200

#define AUX_LEFTBUTTON            ( AUX_BUTTON_MASK + 0 )
#define AUX_MIDDLEBUTTON          ( AUX_BUTTON_MASK + 1 )
#define AUX_RIGHTBUTTON           ( AUX_BUTTON_MASK + 2 )


/**************************************************************************
 *    Modifier key devices
 **************************************************************************/

#define AUX_SHIFT                 1
#define AUX_CONTROL               2
#define AUX_ALT                   3


/**************************************************************************
 *    Keyboard key devices
 **************************************************************************/

/* Numbers */

#define AUX_0                     XK_0
#define AUX_1                     XK_1
#define AUX_2                     XK_2
#define AUX_3                     XK_3
#define AUX_4                     XK_4
#define AUX_5                     XK_5
#define AUX_6                     XK_6
#define AUX_7                     XK_7
#define AUX_8                     XK_8
#define AUX_9                     XK_9

#define AUX_ZERO                  XK_0
#define AUX_ONE                   XK_1
#define AUX_TWO                   XK_2
#define AUX_THREE                 XK_3
#define AUX_FOUR                  XK_4
#define AUX_FIVE                  XK_5
#define AUX_SIX                   XK_6
#define AUX_SEVEN                 XK_7
#define AUX_EIGHT                 XK_8
#define AUX_NINE                  XK_9


/* Letters */

#define AUX_A                     XK_A
#define AUX_B                     XK_B
#define AUX_C                     XK_C
#define AUX_D                     XK_D
#define AUX_E                     XK_E
#define AUX_F                     XK_F
#define AUX_G                     XK_G
#define AUX_H                     XK_H
#define AUX_I                     XK_I
#define AUX_J                     XK_J
#define AUX_K                     XK_K
#define AUX_L                     XK_L
#define AUX_M                     XK_M
#define AUX_N                     XK_N
#define AUX_O                     XK_O
#define AUX_P                     XK_P
#define AUX_Q                     XK_Q
#define AUX_R                     XK_R
#define AUX_S                     XK_S
#define AUX_T                     XK_T
#define AUX_U                     XK_U
#define AUX_V                     XK_V
#define AUX_W                     XK_W
#define AUX_X                     XK_X
#define AUX_Y                     XK_Y
#define AUX_Z                     XK_Z

#define AUX_a                     XK_a
#define AUX_b                     XK_b
#define AUX_c                     XK_c
#define AUX_d                     XK_d
#define AUX_e                     XK_e
#define AUX_f                     XK_f
#define AUX_g                     XK_g
#define AUX_h                     XK_h
#define AUX_i                     XK_i
#define AUX_j                     XK_j
#define AUX_k                     XK_k
#define AUX_l                     XK_l
#define AUX_m                     XK_m
#define AUX_n                     XK_n
#define AUX_o                     XK_o
#define AUX_p                     XK_p
#define AUX_q                     XK_q
#define AUX_r                     XK_r
#define AUX_s                     XK_s
#define AUX_t                     XK_t
#define AUX_u                     XK_u
#define AUX_v                     XK_v
#define AUX_w                     XK_w
#define AUX_x                     XK_x
#define AUX_y                     XK_y
#define AUX_z                     XK_z


/* Misc. keys */

#define AUX_RETURN                XK_Return
#define AUX_ESCAPE                XK_Escape
#define AUX_SPACE                 XK_space
#define AUX_BACKSPACE             XK_BackSpace
#define AUX_TAB                   XK_Tab
#define AUX_LEFT                  XK_Left
#define AUX_UP                    XK_Up
#define AUX_RIGHT                 XK_Right
#define AUX_DOWN                  XK_Down


/* Function Keys */

#define AUX_F1                    XK_F1
#define AUX_F2                    XK_F2
#define AUX_F3                    XK_F3
#define AUX_F4                    XK_F4
#define AUX_F5                    XK_F5
#define AUX_F6                    XK_F6
#define AUX_F7                    XK_F7
#define AUX_F8                    XK_F8
#define AUX_F9                    XK_F9
#define AUX_F10                   XK_F10
#define AUX_F11                   XK_F11
#define AUX_F12                   XK_F12


/* Keypad Numbers */

#define AUX_KP_0                  XK_KP_0
#define AUX_KP_1                  XK_KP_1
#define AUX_KP_2                  XK_KP_2
#define AUX_KP_3                  XK_KP_3
#define AUX_KP_4                  XK_KP_4
#define AUX_KP_5                  XK_KP_5
#define AUX_KP_6                  XK_KP_6
#define AUX_KP_7                  XK_KP_7
#define AUX_KP_8                  XK_KP_8
#define AUX_KP_9                  XK_KP_9


/* Keypad Keys */

#define AUX_KP_ENTER              XK_KP_Enter
#define AUX_KP_MULTIPLY           XK_KP_Multiply
#define AUX_KP_ADD                XK_KP_Add
#define AUX_KP_SUBTRACT           XK_KP_Subtract
#define AUX_KP_DECIMAL            XK_KP_Decimal
#define AUX_KP_DIVIDE             XK_KP_Divide
#define AUX_KP_HOME               XK_KP_Home
#define AUX_KP_LEFT               XK_KP_Left
#define AUX_KP_UP                 XK_KP_Up
#define AUX_KP_RIGHT              XK_KP_Right
#define AUX_KP_DOWN               XK_KP_Down
#define AUX_KP_PRIOR              XK_KP_Prior
#define AUX_KP_NEXT               XK_KP_Next
#define AUX_KP_END                XK_KP_End
#define AUX_KP_BEGIN              XK_KP_Begin
#define AUX_KP_INSERT             XK_KP_Insert
#define AUX_KP_DELETE             XK_KP_Delete
  

/* Shifted Characters */

#define AUX_TILDE                 XK_asciitilde
#define AUX_EXCLAMATION           XK_exclam
#define AUX_AT_SIGN               XK_at
#define AUX_POUND_SIGN            XK_numbersign
#define AUX_DOLLAR_SIGN           XK_dollar
#define AUX_PERCENT               XK_percent
#define AUX_ASCIICIRCUM           XK_asciicircum
#define AUX_AMPERSAND             XK_ampersand
#define AUX_ASTERISK              XK_asterisk
#define AUX_PARENLEFT             XK_parenleft
#define AUX_PARENRIGHT            XK_parenright
#define AUX_BAR                   XK_bar
#define AUX_PLUS                  XK_plus
#define AUX_APOSTROPHE            XK_apostrophe
#define AUX_DOUBLE_QUOTE          XK_quotedbl
#define AUX_QUOTELEFT             XK_quoteleft
#define AUX_QUOTERIGHT            XK_quoteright
#define AUX_BRACELEFT             XK_braceleft
#define AUX_BRACERIGHT            XK_braceright
#define AUX_BRACKETLEFT           XK_bracketleft
#define AUX_BRACKETRIGHT          XK_bracketright
#define AUX_COMMA                 XK_comma
#define AUX_MINUS                 XK_minus
#define AUX_PERIOD                XK_period
#define AUX_SLASH                 XK_slash
#define AUX_COLON                 XK_colon
#define AUX_SEMICOLON             XK_semicolon
#define AUX_LESS                  XK_less
#define AUX_EQUAL                 XK_equal
#define AUX_GREATER               XK_greater
#define AUX_QUESTION              XK_question
#define AUX_BACKSLASH             XK_backslash
#define AUX_UNDERSCORE            XK_underscore
#define AUX_GRAVE_QUOTE           XK_grave
  
#define AUX_PAUSE                 XK_Pause
#define AUX_SCROLL_lOCK           XK_Scroll_Lock
  
#define AUX_DELETE                XK_Delete
  
#define AUX_HOME                  XK_Home
#define AUX_END                   XK_End
  
#define AUX_SYS_REQ               XK_Sys_Req
#define AUX_CAPS_LOCK             XK_Caps_Lock
#define AUX_SHIFT_LOCK            XK_Shift_Lock
  

/* Modifier Keys */

#define AUX_SHIFT_L               XK_Shift_L
#define AUX_SHIFT_R               XK_Shift_R
#define AUX_CONTROL_L             XK_Control_L
#define AUX_CONTROL_R             XK_Control_R
#define AUX_META_L                XK_Meta_L
#define AUX_META_R                XK_Meta_R
#define AUX_ALT_L                 XK_Alt_L
#define AUX_ALT_R                 XK_Alt_R
